com.rscja.custom.interfaces

## Interface IUHFCSYX

- All Superinterfaces:
    IUHF, IUHFOfAndroidUart
  All Known Implementing Classes:
    UHFCSYX, UHFCSYX_qcom

      public interface IUHFCSYX
      extends IUHFOfAndroidUart

  MQTT是长沙盈芯，定制接口

- - ### Field Summary

    - ### Fields inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `Bank_EPC, Bank_RESERVED, Bank_TID, Bank_USER, LockBank_ACCESS, LockBank_EPC, LockBank_KILL, LockBank_TID, LockBank_USER, LockMode_LOCK, LockMode_OPEN, LockMode_PLOCK, LockMode_POPEN, UPDATE_UHF`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `UHFCSYX.TagAuthenticationResponseInfo` | `inventorySingleTagResponseInfo()`
    `void` | `setInventoryCallback(UHFCSYX.IUHFInventoryCallback inventoryCallback)`
    `boolean` | `setInventoryMessageMode()`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHFOfAndroidUart

      `getErrCode, getHardwareVersion, isPowerOn, setOnLowBatteryListener, setPowerOnBySystem, setUart`

    - ### Methods inherited from interface com.rscja.deviceapi.interfaces.IUHF

      `blockWriteData, eraseData, eraseData, factoryReset, free, generateLockCode, getConnectStatus, getCW, getEPCAndTIDUserMode, getFastInventoryMode, getFrequencyMode, getGen2, getProtocol, getRFLink, getTemperature, getVersion, init, inventorySingleTag, isInventorying, killTag, killTag, lockMem, lockMem, readData, readData, readTagFromBuffer, setConnectionStatusCallback, setCW, setEPCAndTIDMode, setEPCAndTIDUserMode, setEPCAndTIDUserMode, setEPCMode, setFastID, setFastInventoryMode, setFilter, setFreHop, setFrequencyMode, setGen2, setInventoryCallback, setProtocol, setRFLink, setTagFocus, startInventoryTag, stopInventory, uhfBlockPermalock, uhfJump2Boot, uhfJump2Boot, uhfStartUpdate, uhfStopUpdate, uhfUpdating, writeData, writeData, writeDataToEpc, writeDataToEpc`

- - ### Method Detail

    - #### setInventoryMessageMode

          boolean setInventoryMessageMode()

    - #### setInventoryCallback

          void setInventoryCallback(UHFCSYX.IUHFInventoryCallback inventoryCallback)

    - #### inventorySingleTagResponseInfo

          UHFCSYX.TagAuthenticationResponseInfo inventorySingleTagResponseInfo()